Results 1 to 7 of 7

Thread: NNTP Users on 13.1 - Please Note

  1. #1
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,317

    Default NNTP Users on 13.1 - Please Note

    If you're using an NNTP newsreader that depends on libgmime, there's a
    bug in the version that comes with openSUSE 13.1 that causes your
    messages to be posted to the wrong place in the thread in certain
    circumstances.

    The problem (for those who want the details) is that in versions
    2.6.16-2.6.18, libgmime allows the References: header to be wrapped
    improperly (and in a way that's not RFC compliant). The result is that
    if a References: header wraps improperly, the posted reply ends up
    attached to the wrong parent message on the server.

    The bug was fixed in version 2.6.19, however that build is not in the
    update channel.

    I have submitted a bug on this issue, so hopefully it will be addressed
    soon. In the interim, I've built libgmime 2.6.19 on OBS. I used a
    slightly tweaked spec file from the one used for the official 2.6.18
    build that comes with openSUSE 13.1, and it seems to work, but consider
    it a "use at your own risk" build.

    If you want to grab it, use the file (32-bit or 64-bit) from the
    repository at:

    http://download.opensuse.org/reposit...sj:/branches:/
    openSUSE:/13.1:/Update/standard/

    Note that if you have the libgmime-devel package installed, you'll also
    need to grab the updated package from here as well.

    I know for a fact that pan (the newsreader I use) is affected by this
    issue. No doubt other GNOME-based newsreaders are as well, but you'll
    want to check and see if your reader depends on libgmime. The command:

    rpm -q --whatrequires 'libgmime-2.6.so.0()(64bit)'

    Will tell you if you have packages installed that depend on this package
    on a 64-bit system. For a 32-bit system:

    rpm -q --whatrequires 'libgmime-2.6.so.0'

    Should provide that information.

    Jim
    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  2. #2
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: NNTP Users on 13.1 - Please Note

    * Jim Henderson wrote, On 12/12/2013 01:06 AM:
    > rpm -q --whatrequires 'libgmime-2.6.so.0()(64bit)'


    Just FYI, looks like neither Thunderbird nor KNode are affected.

    Uwe

  3. #3
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,317

    Default Re: NNTP Users on 13.1 - Please Note

    On Thu, 12 Dec 2013 00:06:06 +0000, Jim Henderson wrote:

    > If you want to grab it, use the file (32-bit or 64-bit) from the
    > repository at:
    >
    > http://download.opensuse.org/reposit...sj:/branches:/
    > openSUSE:/13.1:/Update/standard/


    I'm also told that this version is now in Factory and in GNOME:Factory if
    you want to grab it from a more official source. It's also been
    tagged for maintenance and should show up in the updates channel "soon".

    Jim
    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  4. #4
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,317

    Default Re: NNTP Users on 13.1 - Please Note

    On Thu, 12 Dec 2013 14:46:45 +0000, Uwe Buckesfeld wrote:

    > * Jim Henderson wrote, On 12/12/2013 01:06 AM:
    >> rpm -q --whatrequires 'libgmime-2.6.so.0()(64bit)'

    >
    > Just FYI, looks like neither Thunderbird nor KNode are affected.


    Good to know, I figured knode wouldn't be, but wasn't sure about
    Thunderbird (haven't reinstalled it yet on my 13.1 systems).

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  5. #5
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: NNTP Users on 13.1 - Please Note

    Jim Henderson wrote:
    > The problem (for those who want the details) is that in versions
    > 2.6.16-2.6.18, libgmime allows the References: header to be wrapped
    > improperly (and in a way that's not RFC compliant). The result is that
    > if a References: header wraps improperly, the posted reply ends up
    > attached to the wrong parent message on the server.
    >


    I use SeaMonkey.Test to see whether my posts appearing in the correct
    forum
    --
    GNOME 3.10.1
    openSUSE 13.1 (Bottle) (x86_64) 64-bit
    Kernel Linux 3.11.6-4-desktop
    Where are my penguins :- https://features.opensuse.org/316767

  6. #6

    Default Re: NNTP Users on 13.1 - Please Note

    On 2013-12-17, vazhavandan <vazhavandan@no-mx.forums.opensuse.org> wrote:
    > I use SeaMonkey.Test to see whether my posts appearing in the correct
    > forum


    For the billions users out there, slrn seems to have no problems here either.

  7. #7
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,317

    Default Re: NNTP Users on 13.1 - Please Note

    On Tue, 17 Dec 2013 18:44:46 +0000, flymail wrote:

    > On 2013-12-17, vazhavandan <vazhavandan@no-mx.forums.opensuse.org>
    > wrote:
    >> I use SeaMonkey.Test to see whether my posts appearing in the correct
    >> forum

    >
    > For the billions users out there, slrn seems to have no problems here
    > either.


    Thanks guys - I just saw an update on the bug that the gmime library
    update has hit the update channel as of this morning.

    Jim
    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •